import {fetchAuthenticated} from '@/helpers/retrieveData';
import {useLoginStore} from '@/stores/login';


interface Model {
  value: string;
}

const fetchListViewConfigMocked = (): Model => {
  const _config: Model = {
    value: 'Value',
  };
  console.debug('mock config', _config);
  return _config;
};

export const fetchListViewConfig = async(): Promise<Model> => {
  if (import.meta.env.VITE_USE_REAL_BACKEND !== 'true') {
    console.debug('fetchListViewConfig. VITE_USE_REAL_BACKEND===false in DEV mode. Returning mock data');
    return new Promise(resolve => {
      setTimeout(() => {
        resolve(fetchListViewConfigMocked());
      }, 1000);
    });
  }

  const loginStore = useLoginStore();
  const answer = await fetchAuthenticated(`/ucsschool/bff-groups/v1/pages/listView/settings/${loginStore.username}`);
  return await answer.json();
};
